<?php
if (!current_user_can('manage_options')) {
	wp_die('You do not have sufficient permissions to access this page.');
}

global $chk;
$pivotrev_hw_submit = filter_input(INPUT_POST,'pivotrev-hw-submit',FILTER_SANITIZE_STRING);

if(!empty($pivotrev_hw_submit)){
		if (!filter_input(INPUT_POST,'pivotrev-access-token',FILTER_SANITIZE_STRING)){ ?>
					<div id="message" class="updated below-h2">
						<p>Invalid Access Token</p>
					</div> <?php 
		} else {
				$pivotrev_access_token = filter_input(INPUT_POST,'pivotrev-access-token',FILTER_SANITIZE_STRING); 
				global $chk;
					if( get_option('pivotrev-access-token') != $pivotrev_access_token){
						 $chk = update_option( 'pivotrev-access-token', $pivotrev_access_token);
					}
		}
}

?>
<div class="wrap">
  <h2>PIVOTREV Settings</h2>
  <?php if(!empty($pivotrev_hw_submit) && $chk):?>
  <div id="message" class="updated below-h2">
    <p>Access Token updated successfully</p>
  </div>
  <?php endif;?>
  

  <div class="metabox-holder">
    <div class="postbox"><p style="padding:10px; ">This plugin act as an interface of PIVOTREV.com a central point of review and rating system  of real consumers with a new way of product reviews to find out what real users are saying about your product:</p>
      <h3><strong>Access Token</strong></h3>
      <form method="post" action="">
        <table class="form-table">
          <tr>
            <td><input type="text" name="pivotrev-access-token" value="<?php if(get_option('pivotrev-access-token')){echo get_option('pivotrev-access-token');}?>" style="width:350px;" placeholder="Enter some text here" /></td>
          </tr>
          <tr>
            <td style="padding-top:10px;  padding-bottom:10px;"><input type="submit" name="pivotrev-hw-submit" value="Save changes" class="button-primary" /></td>
          </tr>
        </table>
      </form>
	  <div style="padding:10px; ">
		 
		  <hr>
		  <h2>Get additional information</h2>
		   <p>- Signup at <a href="https://pivotre.com/users">https://pivotrev.com/users</a> and get your Access Token, its FREE</p>
			<p>- Get the <a href="https://pivotrev.com/install-on-wordpress">Quick Guide</a></p>
			<p>- Find solutions for your problems at https://pivotrev.com/support</p>
		</div>
    </div>
	
  </div>
</div>