<?php
/*
Plugin Name: PIVOTREV
Plugin URI: https://pivotrev.com/
Description: The Pivotrev plugin for WordPress acts as an interface of PIVOTREV.com a central point of review and rating system  of real consumers with a new way of product reviews to find out what real users are saying about your product:
Version: 1.0.2
Author: PIVOTREV
Author URI: https://pivotrev.com
License: GPL
*/

//Hooks a function to a filter action, 'the_content' being the action

	if (is_admin() ){
	/* Call the html code */
	add_action('admin_menu', 'pivotrevMenu');
    function pivotrevMenu(){
        add_options_page( 'PIVOTREV WP setting page', 'PIVOTREV', 'manage_options', 'pivotrev', 'pivotrevAdmin' );
    }
	}
  
    function pivotrevAdmin(){
        include_once('pivotrev-admin.php');
    }

	function pivotrevShowText(){
			$access_token  = esc_html__(get_option('pivotrev-access-token')); ?>
			<!-- Caption Background Class -->
			<div id="pivotrev_reviews"></div>
			<script>
			var token='<?php echo $access_token;?>';
			
			var d = document, s = d.createElement('script');
			s.src = 'https://api.pivotrev.com/embed.js';
			(d.head || d.body).appendChild(s);
			</script> <?php
    }
      
    function pivotrevGetText() {
        return get_option('pivotrev-access-token');
    }
      
    add_shortcode('show-pivotrev', 'pivotrevGetText');

?>